/*     
 * $RCSfile: x_libc.h,v $
 *
 * x-kernel v3.3
 *
 * Copyright (c) 1993,1991,1990,1996  Arizona Board of Regents
 *
 * $Log: x_libc.h,v $
 * Revision 1.2  1996/01/31 16:28:41  slm
 * Updated copyright and version.
 *
 * Revision 1.1  1995/07/29  03:01:59  slm
 * Initial revision
 *
 * Revision 1.10.1.1.1.2  1994/12/02  23:23:26  hkaram
 * Fixed declarations
 *
 * Revision 1.10.1.1.1.1  1994/10/27  22:23:21  hkaram
 * New branch
 *
 * Revision 1.10.1.1  1994/06/09  18:52:36  menze
 * Hacked up to be compatible with gcc2 stdlib.h
 */

/*
 * C library prototypes
 */

#ifndef x_libc_h
#define x_libc_h

#include <string.h>

#ifdef __STDC__


typedef	int (* QSortFunc)(const void *, const void *);

#  ifndef __stdlib_h

int	atoi( const char * );
int	qsort( void *, long unsigned int, long unsigned int, QSortFunc );

#  endif /* __stdlib_h */

void    bcopy( char *, char *, int );
int	bcmp( char *, char *, int );
void    bzero( char *, int );


#else

#  ifndef __stdlib_h

void     bcopy();
int	bcmp();
void     bzero();

#  endif /* __stdlib_h */

#endif /* __STDC__ */

#endif /* ! x_libc_h */
